Starry Night & OSX 10.7/10.8

    Follow

    Dear Mac Users,

     

    The evolution of Apple's operating system to OS X 10.7 & 10.8 leaves a number of you without a compatible version of Starry Night.  

    - Starry Night V.6 is completely compatible with Mac OS X 10.7 & 10.8 but installers for V.6.2.3 and earlier are not (See note on installers below.)

    - Starry Night V.5 and earlier are not compatible with Mac OS X 10.7 & 10.8

    Unfortunately, Apple has removed support for PPC applications. These were supported on 10.6 and below on Intel machines by a technology called "Rosetta" which is not included in OS X 10.7+.

    If you own Starry Night V5 or earlier you can upgrade to V6.  You will receive a discount on your upgrade.

     

    1.  Visit the Starry Night Store Upgrades webpage here:  http://store.starrynight.com/upgrades.html

    2  Choose Enthusiast, Pro or Pro Plus Downloadable.

    3.  Enter your license key for version 3, 4 or 5.

    After purchasing you will receive an email with links to download Starry Night version 6.

     

    About versions 6 installers:

    If you own a copy of Starry Night V6 with an incompatible installer please submit a ticket with support and provide the following information.  You will receive a downloadable replacement.

     

    1. Full name
    2. Complete mailing address.
    3. Phone number.
    4. Email Address
    5. Starry Night product (i.e. Pro Plus, Pro, Enthusiast, etc.)
    6. License key (i.e pu6-xxxx-xxxx-xxxx-xxxx)
    7. Store Order #

     

    Kind regards,

    Keiron Smith

    Comments

    • Avatar
      Wayne Berger

      I received a DVD with my Orion 130ST around Dec 2011.    I followed the steps in Keiron Smith's note and got a prompt response back.   I received new software with a new key.   I did not receive a software key with the original DVD.    I downloaded the new software and it worked fine with MAC Lion  10.7.2.

    • Avatar
      David

      I just upgraded to Starry Night Pro v6.4.3 and I am running Apple's Mountain Lion.  When I try to launch StarryNight the icon bounces in the dock for several minutes then gives an error:  

      "Starry Night Pro 6 can't be opened because it is from an unidentified developer.  Your security preferences allow installations of only apps from Mac App Store and identified developers....etc....  

      Apple says to hold CONTROL key and launch it.  That doesn't correct the problem. The same thing happens.  Do any of you have any solutions for this problem?  Thanks.  David

    • Avatar
      David

      Nevermind it is now working.  Not sure why but somehow it's fixed.  Thanks!

    • Avatar
      Timur Sumer

      I submitted "a ticket" (I do not understand what this means but I sent e-mail)

      They redirected me to this page)  I need ta "downloadable replacement".

      Timur

      "If you own a copy of Starry Night V6 with an incompatible installer please submit a ticket with support and provide the following information.  You will receive a downloadable replacement."

    • Avatar
      Timur Sumer

      I submitted "a ticket" (I do not understand what this means but I sent e-mail)

      They redirected me to this page)  I need ta "downloadable replacement".

      Timur

      "If you own a copy of Starry Night V6 with an incompatible installer please submit a ticket with support and provide the following information.  You will receive a downloadable replacement."

    • Avatar
      Keiron Smith

      Problem:

      Error message:  "Starry Night Pro 6 can't be opened because it is from an unidentified developer.  Your security preferences allow installations of only apps from Mac App Store and identified developers....etc....

      Solution:

      To Open Starry Night right click on the application and choose open.  Control-click is the same as right-click.

    • Avatar
      Richard Boyer

      I have StarryNight Pro 7, on a MacBook (OS 10.7)  and a MacBookPro (OS 10.9)

       

      Problem:   It displays fine on 10.9, but on 10.7 the labels (side an bottom) flicker.  Any setting adjustments to fix this?

    • Avatar
      Stephen Lewis

      Hello there. 
      Please forgive me if this seems a stupid question, but I have been struggling with this for a few hours. I'm trying to connect my Skywatcher Synscan AZ GOTO telescope mount which is running the latest firmware to my MacBook Air which is running OSX 10.11.5.  I am using a serial to USB adapter configured with up-to-date drivers, and which shows up in preferences/network as USBserial controller D. I have set it to be a null modem with a baud rate of 9600.

      Starry night Pro 7 software has been configured to run this particular telescope, but when I press “connect” the connection is made for a few moments before disconnecting and throwing up an error message.

      Does anybody have experience with this particular problem or does anybody have any idea where I may be going wrong? Many thanks in advance.

      Stephen

    • Avatar
      Keiron Smith

      Hi Stephen, 

      This is not the right thread to discuss telescope connection issues.  Please submit a ticket here:

      https://support.simulationcurriculum.com/anonymous_requests/new

      Thanks!

    Powered by Zendesk